Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Alexis Ballier (aballier)" <aballier@g.o>
Subject: gentoo-x86 commit in dev-ml/camlzip: camlzip-1.03-r1.ebuild ChangeLog
Date: Wed, 02 Jan 2008 19:56:51 +0000
aballier    08/01/02 19:56:51

  Modified:             camlzip-1.03-r1.ebuild ChangeLog
  Log:
  Add support to not build with ocamlopt
  (Portage version: 2.1.4_rc14)

Revision  Changes    Path
1.2                  dev-ml/camlzip/camlzip-1.03-r1.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-ml/camlzip/camlzip-1.03-r1.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-ml/camlzip/camlzip-1.03-r1.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-ml/camlzip/camlzip-1.03-r1.ebuild?r1=1.1&r2=1.2

Index: camlzip-1.03-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ml/camlzip/camlzip-1.03-r1.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- camlzip-1.03-r1.ebuild	10 Nov 2007 14:18:20 -0000	1.1
+++ camlzip-1.03-r1.ebuild	2 Jan 2008 19:56:51 -0000	1.2
@@ -1,10 +1,12 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ml/camlzip/camlzip-1.03-r1.ebuild,v 1.1 2007/11/10 14:18:20 aballier Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-ml/camlzip/camlzip-1.03-r1.ebuild,v 1.2 2008/01/02 19:56:51 aballier Exp $
 
 inherit findlib eutils
 
-IUSE=""
+EAPI="1"
+
+IUSE="+ocamlopt"
 
 DESCRIPTION="Compressed file access ML library (ZIP, GZIP and JAR)"
 HOMEPAGE="http://cristal.inria.fr/~xleroy/software.html#camlzip"
@@ -17,6 +19,15 @@
 DEPEND=">=dev-lang/ocaml-3.04 \
 		>=sys-libs/zlib-1.1.3"
 
+pkg_setup() {
+	if use ocamlopt && ! built_with_use --missing true dev-lang/ocaml ocamlopt; then
+		eerror "In order to build ${PN} with native code support from ocaml"
+		eerror "You first need to have a native code ocaml compiler."
+		eerror "You need to install dev-lang/ocaml with ocamlopt useflag on."
+		die "Please install ocaml with ocamlopt useflag"
+	fi
+}
+
 src_unpack() {
 	unpack ${A}
 	cd "${S}"
@@ -26,7 +37,9 @@
 
 src_compile() {
 	emake all || die "Failed at compilation step !!!"
-	emake allopt || die "Failed at ML compilation step !!!"
+	if use ocamlopt; then
+		emake allopt || die "Failed at ML compilation step !!!"
+	fi
 }
 
 src_install() {



1.10                 dev-ml/camlzip/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-ml/camlzip/ChangeLog?rev=1.10&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-ml/camlzip/ChangeLog?rev=1.10&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-ml/camlzip/ChangeLog?r1=1.9&r2=1.10

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ml/camlzip/ChangeLog,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- ChangeLog	10 Nov 2007 14:35:46 -0000	1.9
+++ ChangeLog	2 Jan 2008 19:56:51 -0000	1.10
@@ -1,6 +1,9 @@
 # ChangeLog for dev-ml/camlzip
-# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ml/camlzip/ChangeLog,v 1.9 2007/11/10 14:35:46 aballier Exp $
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-ml/camlzip/ChangeLog,v 1.10 2008/01/02 19:56:51 aballier Exp $
+
+  02 Jan 2008; Alexis Ballier <aballier@g.o> camlzip-1.03-r1.ebuild:
+  Add support to not build with ocamlopt
 
   10 Nov 2007; Alexis Ballier <aballier@g.o>
   files/camlzip-1.03-Makefile-findlib.patch:



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in sys-libs/readline: ChangeLog readline-5.2_p12-r1.ebuild
Next by thread:
gentoo-x86 commit in dev-ml/camlzip: camlzip-1.03-r1.ebuild ChangeLog
Previous by date:
gentoo-x86 commit in profiles: use.local.desc
Next by date:
gentoo-x86 commit in profiles: use.local.desc


Updated Jun 14, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.